Postgres
The Postgres API provides access to a Postgres database via REST API or direct SQL.
Create a Snapshot Beta
POST
Creates a snapshot, an immutable point-in-time copy of a branch's data, within the project.
API scopes: postgres
Parameters
- parentstringRequiredpath
The project in which to create the snapshot. Format: projects/{project_id}
- snapshot_idstringRequiredquery
Client-chosen ID for the snapshot. It becomes the final segment of the snapshot resource name and cannot be changed after creation.
Request body
The snapshot to create.
- namestringIDImmutable
The resource name of the snapshot. Format: projects/{project_id}/snapshots/{snapshot_id}
- specobject
Client-provided configuration of the snapshot.
Show child attributesHide child attributes
- source_branchstringRequiredImmutable
The source branch to snapshot. Format: projects/{project_id}/branches/{branch_id}
- source_branch_lsnstringImmutable
LSN to snapshot from, e.g.
16/B374D848. Mutually exclusive withsource_branch_time.
- source_branch_timestringImmutable
Timestamp to snapshot from. Mutually exclusive with
source_branch_lsn.
- expire_timestringImmutable
Absolute time at which the snapshot is deleted. Mutually exclusive with
ttlandno_expiry.
- ttlstringInput onlyImmutable
Time-to-live. The snapshot expires this long after it is created. Mutually exclusive with
expire_timeandno_expiry. Reads report the resolved absoluteexpire_timeinstead.
- no_expirybooleanImmutable
If true, the snapshot never expires. Mutually exclusive with
ttlandexpire_time.
Response
- namestring
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the
nameshould be a resource name ending withoperations/{unique_id}.
- metadataobject
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.
- doneboolean
If the value is
false, it means the operation is still in progress. Iftrue, the operation is completed, and eithererrororresponseis available.
- errorobject
The error result of the operation in case of failure or cancellation.
Show child attributesHide child attributes
- error_codestring
Error codes returned by Databricks APIs to indicate specific failure conditions.
Show 81 possible values
UNKNOWNINTERNAL_ERRORTEMPORARILY_UNAVAILABLEIO_ERRORBAD_REQUESTSERVICE_UNDER_MAINTENANCEWORKSPACE_TEMPORARILY_UNAVAILABLEDEADLINE_EXCEEDEDCANCELLEDRESOURCE_EXHAUSTEDABORTEDNOT_FOUNDALREADY_EXISTSUNAUTHENTICATEDUNAVAILABLEINVALID_PARAMETER_VALUEENDPOINT_NOT_FOUNDMALFORMED_REQUESTINVALID_STATEPERMISSION_DENIEDFEATURE_DISABLEDCUSTOMER_UNAUTHORIZEDREQUEST_LIMIT_EXCEEDEDRESOURCE_CONFLICTUNPARSEABLE_HTTP_ERRORNOT_IMPLEMENTEDDATA_LOSSINVALID_STATE_TRANSITIONCOULD_NOT_ACQUIRE_LOCKRESOURCE_ALREADY_EXISTSRESOURCE_DOES_NOT_EXISTQUOTA_EXCEEDEDMAX_BLOCK_SIZE_EXCEEDEDMAX_READ_SIZE_EXCEEDEDPARTIAL_DELETEMAX_LIST_SIZE_EXCEEDEDDRY_RUN_FAILEDRESOURCE_LIMIT_EXCEEDEDDIRECTORY_NOT_EMPTYDIRECTORY_PROTECTEDMAX_NOTEBOOK_SIZE_EXCEEDEDMAX_CHILD_NODE_SIZE_EXCEEDEDSEARCH_QUERY_TOO_LONGSEARCH_QUERY_TOO_SHORTMANAGED_RESOURCE_GROUP_DOES_NOT_EXISTPERMISSION_NOT_PROPAGATEDDEPLOYMENT_TIMEOUTGIT_CONFLICTGIT_UNKNOWN_REFGIT_SENSITIVE_TOKEN_DETECTEDGIT_URL_NOT_ON_ALLOW_LISTGIT_REMOTE_ERRORPROJECTS_OPERATION_TIMEOUTIPYNB_FILE_IN_REPOINSECURE_PARTNER_RESPONSEMALFORMED_PARTNER_RESPONSEMETASTORE_DOES_NOT_EXISTDAC_DOES_NOT_EXISTCATALOG_DOES_NOT_EXISTSCHEMA_DOES_NOT_EXISTTABLE_DOES_NOT_EXISTSHARE_DOES_NOT_EXISTRECIPIENT_DOES_NOT_EXISTSTORAGE_CREDENTIAL_DOES_NOT_EXISTEXTERNAL_LOCATION_DOES_NOT_EXISTPRINCIPAL_DOES_NOT_EXISTPROVIDER_DOES_NOT_EXISTMETASTORE_ALREADY_EXISTSDAC_ALREADY_EXISTSCATALOG_ALREADY_EXISTSSCHEMA_ALREADY_EXISTSTABLE_ALREADY_EXISTSSHARE_ALREADY_EXISTSRECIPIENT_ALREADY_EXISTSSTORAGE_CREDENTIAL_ALREADY_EXISTSEXTERNAL_LOCATION_ALREADY_EXISTSPROVIDER_ALREADY_EXISTSCATALOG_NOT_EMPTYSCHEMA_NOT_EMPTYMETASTORE_NOT_EMPTYPROVIDER_SHARE_NOT_ACCESSIBLE
- messagestring
- stack_tracestring
- detailsarray of object
- responseobject
The normal, successful response of the operation.
Delete a Snapshot Beta
DELETE
Deletes the specified snapshot.
API scopes: postgres
Parameters
- namestringRequiredpath
The resource name of the snapshot to delete. Format: projects/{project_id}/snapshots/{snapshot_id}
Response
- namestring
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the
nameshould be a resource name ending withoperations/{unique_id}.
- metadataobject
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.
- doneboolean
If the value is
false, it means the operation is still in progress. Iftrue, the operation is completed, and eithererrororresponseis available.
- errorobject
The error result of the operation in case of failure or cancellation.
Show child attributesHide child attributes
- error_codestring
Error codes returned by Databricks APIs to indicate specific failure conditions.
Show 81 possible values
UNKNOWNINTERNAL_ERRORTEMPORARILY_UNAVAILABLEIO_ERRORBAD_REQUESTSERVICE_UNDER_MAINTENANCEWORKSPACE_TEMPORARILY_UNAVAILABLEDEADLINE_EXCEEDEDCANCELLEDRESOURCE_EXHAUSTEDABORTEDNOT_FOUNDALREADY_EXISTSUNAUTHENTICATEDUNAVAILABLEINVALID_PARAMETER_VALUEENDPOINT_NOT_FOUNDMALFORMED_REQUESTINVALID_STATEPERMISSION_DENIEDFEATURE_DISABLEDCUSTOMER_UNAUTHORIZEDREQUEST_LIMIT_EXCEEDEDRESOURCE_CONFLICTUNPARSEABLE_HTTP_ERRORNOT_IMPLEMENTEDDATA_LOSSINVALID_STATE_TRANSITIONCOULD_NOT_ACQUIRE_LOCKRESOURCE_ALREADY_EXISTSRESOURCE_DOES_NOT_EXISTQUOTA_EXCEEDEDMAX_BLOCK_SIZE_EXCEEDEDMAX_READ_SIZE_EXCEEDEDPARTIAL_DELETEMAX_LIST_SIZE_EXCEEDEDDRY_RUN_FAILEDRESOURCE_LIMIT_EXCEEDEDDIRECTORY_NOT_EMPTYDIRECTORY_PROTECTEDMAX_NOTEBOOK_SIZE_EXCEEDEDMAX_CHILD_NODE_SIZE_EXCEEDEDSEARCH_QUERY_TOO_LONGSEARCH_QUERY_TOO_SHORTMANAGED_RESOURCE_GROUP_DOES_NOT_EXISTPERMISSION_NOT_PROPAGATEDDEPLOYMENT_TIMEOUTGIT_CONFLICTGIT_UNKNOWN_REFGIT_SENSITIVE_TOKEN_DETECTEDGIT_URL_NOT_ON_ALLOW_LISTGIT_REMOTE_ERRORPROJECTS_OPERATION_TIMEOUTIPYNB_FILE_IN_REPOINSECURE_PARTNER_RESPONSEMALFORMED_PARTNER_RESPONSEMETASTORE_DOES_NOT_EXISTDAC_DOES_NOT_EXISTCATALOG_DOES_NOT_EXISTSCHEMA_DOES_NOT_EXISTTABLE_DOES_NOT_EXISTSHARE_DOES_NOT_EXISTRECIPIENT_DOES_NOT_EXISTSTORAGE_CREDENTIAL_DOES_NOT_EXISTEXTERNAL_LOCATION_DOES_NOT_EXISTPRINCIPAL_DOES_NOT_EXISTPROVIDER_DOES_NOT_EXISTMETASTORE_ALREADY_EXISTSDAC_ALREADY_EXISTSCATALOG_ALREADY_EXISTSSCHEMA_ALREADY_EXISTSTABLE_ALREADY_EXISTSSHARE_ALREADY_EXISTSRECIPIENT_ALREADY_EXISTSSTORAGE_CREDENTIAL_ALREADY_EXISTSEXTERNAL_LOCATION_ALREADY_EXISTSPROVIDER_ALREADY_EXISTSCATALOG_NOT_EMPTYSCHEMA_NOT_EMPTYMETASTORE_NOT_EMPTYPROVIDER_SHARE_NOT_ACCESSIBLE
- messagestring
- stack_tracestring
- detailsarray of object
- responseobject
The normal, successful response of the operation.
Get a Snapshot Beta
GET
Retrieves information about the specified snapshot.
API scopes: postgres
Parameters
- namestringRequiredpath
The resource name of the snapshot to retrieve. Format: projects/{project_id}/snapshots/{snapshot_id}
Response
- namestringIDImmutable
The resource name of the snapshot. Format: projects/{project_id}/snapshots/{snapshot_id}
- uidstringOutput only
Unique system-generated ID for the snapshot.
- create_timestringOutput only
When the snapshot was created.
- specobject
Client-provided configuration of the snapshot.
Show child attributesHide child attributes
- source_branchstringRequiredImmutable
The source branch to snapshot. Format: projects/{project_id}/branches/{branch_id}
- source_branch_lsnstringImmutable
LSN to snapshot from, e.g.
16/B374D848. Mutually exclusive withsource_branch_time.
- source_branch_timestringImmutable
Timestamp to snapshot from. Mutually exclusive with
source_branch_lsn.
- expire_timestringImmutable
Absolute time at which the snapshot is deleted. Mutually exclusive with
ttlandno_expiry.
- no_expirybooleanImmutable
If true, the snapshot never expires. Mutually exclusive with
ttlandexpire_time.
- statusobjectOutput only
Server-observed state of the snapshot.
Show child attributesHide child attributes
- source_branchstringOutput only
The source branch the snapshot was taken from. Format: projects/{project_id}/branches/{branch_id}
- expire_timestringOutput only
Absolute time at which the snapshot is deleted.
- no_expirybooleanOutput only
True if the snapshot never expires.
- full_size_bytesint64Output only
Full logical size of the snapshot, in bytes.
- diff_size_bytesint64Output only
Incremental storage size in bytes since the previous snapshot. Unset when the snapshot is not billed on incremental usage.
- snapshot_idstringOutput only
The user-chosen ID; the final segment of
name.
List Snapshots Beta
GET
Returns a paginated list of snapshots in the project.
API scopes: postgres
Parameters
- parentstringRequiredpath
The project that owns the snapshots. Format: projects/{project_id}
- page_tokenstringquery
Page token from a previous response; omit for the first page.
- page_sizeint32query
Maximum number of snapshots to return per page.
Response
- snapshotsarray of object
The snapshots in the project.
Show child attributesHide child attributes
- namestringIDImmutable
The resource name of the snapshot. Format: projects/{project_id}/snapshots/{snapshot_id}
- uidstringOutput only
Unique system-generated ID for the snapshot.
- create_timestringOutput only
When the snapshot was created.
- specobject
Client-provided configuration of the snapshot.
Show child attributesHide child attributes
- source_branchstringRequiredImmutable
The source branch to snapshot. Format: projects/{project_id}/branches/{branch_id}
- source_branch_lsnstringImmutable
LSN to snapshot from, e.g.
16/B374D848. Mutually exclusive withsource_branch_time.
- source_branch_timestringImmutable
Timestamp to snapshot from. Mutually exclusive with
source_branch_lsn.
- expire_timestringImmutable
Absolute time at which the snapshot is deleted. Mutually exclusive with
ttlandno_expiry.
- no_expirybooleanImmutable
If true, the snapshot never expires. Mutually exclusive with
ttlandexpire_time.
- statusobjectOutput only
Server-observed state of the snapshot.
Show child attributesHide child attributes
- source_branchstringOutput only
The source branch the snapshot was taken from. Format: projects/{project_id}/branches/{branch_id}
- expire_timestringOutput only
Absolute time at which the snapshot is deleted.
- no_expirybooleanOutput only
True if the snapshot never expires.
- full_size_bytesint64Output only
Full logical size of the snapshot, in bytes.
- diff_size_bytesint64Output only
Incremental storage size in bytes since the previous snapshot. Unset when the snapshot is not billed on incremental usage.
- snapshot_idstringOutput only
The user-chosen ID; the final segment of
name.
- next_page_tokenstring
Token to retrieve the next page; empty if there are no more pages.